### Hierarchy

- Headers

## Index

### Methods

- append
- delete
- forEach
- get
- has
- set

## Methods

### append

- append(name: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8666

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### delete

- delete(name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8667

  #### Parameters

  - ##### name: string

  #### Returns void

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8671

  #### Parameters

  - ##### callbackfn: function

    - - (value: string, key: string, parent: Headers): void

      - #### Parameters

        - ##### value: string

        - ##### key: string

        - ##### parent: Headers

        #### Returns void

  - ##### Optional thisArg: any

  #### Returns void

### get

- get(name: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8668

  #### Parameters

  - ##### name: string

  #### Returns string | null

### has

- has(name: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8669

  #### Parameters

  - ##### name: string

  #### Returns boolean

### set

- set(name: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8670

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

Generated using TypeDoc